Bug 111033 - bad source code
bad source code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pmake (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-26 10:38 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.45-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-02 09:54:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-26 10:38:49 EST
Description of problem:
I just tried to compile package pmake-1_45-11 from Fedora.

The compiler said

job.c(1610): remark #592: variable "status" is used before its value
is set

The source code is

	int status;

	/* more code */

	W_SETTERMSIG(&status, SIGCONT);


Suggest initialise status before first use.

	int status = 0;



Version-Release number of selected component (if applicable):
pmake-1_45-11 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jakub Jelinek 2003-12-02 09:54:37 EST
Added to pmake-1.45-13.

Note You need to log in before you can comment on or make changes to this bug.